- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionSpinBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 729 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionSpinBox:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_SpinBox }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionSpinBox ()
| QStyleOptionSpinBox (const QStyleOptionSpinBox &other)
## Public Attributes
QAbstractSpinBox::ButtonSymbols | buttonSymbols
QAbstractSpinBox::StepEnabled | stepEnabled
bool | frame
## Protected Member Functions
| QStyleOptionSpinBox (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 732 of file qstyleoption.h.

    { Type = SO_SpinBox };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOptionComplex.

Definition at line 733 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionSpinBox | ( |  | ) |

QStyleOptionSpinBox | ( | const QStyleOptionSpinBox & | other | ) | `[inline]`

Definition at line 740 of file qstyleoption.h.

    : QStyleOptionComplex(Version, Type) { *this = other; }

QStyleOptionSpinBox | ( | int | version | ) | `[protected]`

## Member Data Documentation

QAbstractSpinBox::ButtonSymbols buttonSymbols

Search for all occurrences

Definition at line 735 of file qstyleoption.h.

QAbstractSpinBox::StepEnabled stepEnabled

Search for all occurrences

Definition at line 736 of file qstyleoption.h.

bool frame

Search for all occurrences

Definition at line 737 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox
QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox QStyleOptionSpinBox